Retail Manager v12.5 download

bookstore
2 Posts
Cover User
Australia

Retail Manager v12.5 download

We too have a licence (4 seats) for Retail Manager and have the V12 disc but not v12.5 and we no longer have a support agreement

 

We need to upgrade for various reasons but mostly because of deprecated operating systems - we need to move to Windows 10

 

Are we able to access the download?

3 REPLIES
MYOB Moderator Neil_M
5,061 Posts
MYOB Moderator
New Zealand

Re: Retail Manager v12.5 download

HI @bookstore

 

Welcome to the MYOB Community Forum, I hope you find it a wealth of helpful information.

 

If you are only licenced for RetailManager v12, then to be able to have access to the RetailManager v12.5, you do need to have an active support agreement against your RetailManager. Having an active support agreement entitles you to the latest version amongst other benefits. Do let us know if you would like to look into a support agreement for your RetailManager.

 

Although RetailManager 12.5 is officially only compatible with Windows 8.1, a number of users have found it is indeed compatible with Windows 10. That being said, our team haven’t tested the two for compatibility so we are unable to guarantee that they will work.



Kind regards,
Neil
MYOB Client Support
bookstore
2 Posts
Cover User
Australia

Re: Retail Manager v12.5 download

Thanks . My mymob profile says "v12". Does that mean I can't access v12.5? I paid for support for over 9 years. I stopped paying for support after years of promises of upgrades and development etc that didn't materialise. As an myob customer for 17 years is there some way myob can do the right thing and allow me to continue to use the software I have paid for without paying a huge amount of money?
MYOB Moderator Neil_M
5,061 Posts
MYOB Moderator
New Zealand

Re: Retail Manager v12.5 download

HI @bookstore

 

That is correct, what you see in your my.MYOB portal is what you are entitled do. So, as you see only RetailManager v12, that is the latest version that you are currently entitled to. To be entitled to a specific version, you need to have had a support agreement active at the time of release or have a current support agreement.

 

So if you were wanting to obtain RetailManager v12.5 you unfortunately would need to purchase a support agreement, as when RetailManager v12.5 was released you didn’t have an active support agreement. 



Kind regards,
Neil
MYOB Client Support
Didn't find your answer here?
Try using advanced search to find a post more easily Advanced Search
or
Get the conversation started and make a new post Start a Post